<template>
  <div class="all" v-if="dialogVisible">
    <div class="dialog" :style="{ 'width': $px2vw(width) }">
      <div v-if="header" class="dialog-header flex flex-center">
        <div class="dialog-header-close">
          <svg-icon v-show="isClose" class="flex flex-center" icon-class="dialog_close" :width="25" :height="25"  @click="handleClose" />
        </div>
        <!-- 头部高度默认148 -->
        <span class="dialog-header-title" style="flex: 1 1 auto;">
          {{ title }}
        </span>

        <div class="right" v-if="$slots.right">
          <slot name="right" />
        </div>
      </div>
      <div class="dialog-body">
        <slot name="content" />
      </div>
      <div class="dialog-footer" v-if="bottomArray.length !== 0">
        <!-- <div v-if="getNumber == 1">
          <button
            class="dialog-footer-button dialog-footer-one-button"
            @click="changeDialogVisible"
          >
            {{ buttonName }}
          </button>
        </div>
        <div v-if="getNumber == 2">
          <button
            class="dialog-footer-button left"
            @click="changeDialogVisible"
          >
            {{ leftButtonName }}
          </button>
          <button class="dialog-footer-button" @click="changeDialogVisible">
            {{ rightButtonName }}
          </button>
        </div> -->
        <button
          class="dialog-footer-button"
          v-for="(item, index) in bottomArray"
          :key="index"
          :style="{ color: item.color, width: 100 / bottomArray.length + '%' }"
          @click="changeDialogVisible(index)"
        >
          {{ item.name }}
        </button>
      </div>
    </div>
    <div class="background-opacity" @click="closeDialog"></div>
  </div>
</template>

<script>
export default {
  props: {
    title: {
      type: String,
      default: "",
    },
    bottomArray: {
      type: Array,
      default: () => [],
    },
    dialogVisible: {
      type: Boolean,
      default: false,
    },
    isClose: {
      type: Boolean,
      default: false,
    },
    width: {
      type: Number,
      default: 908
    },
    header: {
      type: Boolean,
      default: true
    }
  },
  methods: {
    changeDialogVisible(index) {
      this.$emit("changeVisble", false, index);
    },
    closeDialog() {
      this.$emit("changeVisble", false);
    },
    handleClose() {
      this.$emit('close', false)
    }
  },
};
</script>

<style scoped lang="scss">
.dialog {
  z-index: 999;
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  border-radius: 20px;
  overflow: hidden;
  background: #e7edf5;

  .dialog-header {
    box-sizing: border-box;
    text-align: center;
    padding: 0 46px;
    height: 120px;

    &-title {
      display: flex;
      align-items: center;
      justify-content: center;
      height: 100%;
      font-size: 36px;
      font-weight: 600;
      color: #000000;
    }
  }

  .dialog-body {
    padding: 0 68px;
    color: #000000;
    display: flex;
    align-items: center;
    justify-content: center;
  }

  .dialog-footer {
    height: 97px;

    .dialog-footer-button {
      width: 454px;
      height: 97px;
      border: 0;
      font-size: 34px;
      background-color: white;
    }

    .dialog-footer-button:hover {
      cursor: pointer;
    }

    .dialog-footer-one-button {
      width: 908px;
    }

    .left {
      border-right: 1px solid #e5e5e5;
      color: #4293ee;
    }
  }
}

.background-opacity {
  position: fixed;
  width: 100%;
  height: 100%;
  background: #353535;
  top: 0px;
  left: 0px;
  opacity: 0.2;
}
</style>
